Description

For some reason, it appears that groups of monsters are having a difficult time teleporting in Doomsday.

One example is Map31 of TNT. Near the end of the level, after hitting a switch behind the Megasphere, a bunch of Shotgun Guys are
supposed to teleport into the area you are in. However, they take a very long time in actually teleporting to your area. For
comparison, in Chocolate Doom, all of them teleport almost instantly.

The Shotgun Guys are inside those walls with the windows in the hallway. They can shoot at you before teleporting (and you can
also shoot at them, but you can't actually see them). The only way | can get these monsters to teleport is to shoot into those windows
and kill off some of them. When | use IDDT to see them on the automap, you can see many of them walking over the teleport line,
but none actually teleport.

| have also encountered this in other maps when groups of monsters that are off-map try to teleport into the room that you are in.

Related issues:
Related to Bug #1862: [Doom] Infunctional teleporter trigger in pwad BTSXep2 Closed 2014-09-07

History

#1 - 2014-05-08 10:16 - vermil

| can't see any issue with the teleporter pens on E1M9 and E3M5 of Doom1.
However, there does indeed appear to be an issue with the Sergeant teleporters on Map31 of TNT:
It seems only two of them are working and only intermittently; the other 4 teleporters don't seem to be working at all).

| wonder if it's to do with the teleporter pens being comprised of single sectors (i.e both sides of the teleporter trigger linedefs share the same sector
references). Testing seems to reveal the TNT teleporters have been broken since 1.13.0 (they were working in 1.12.1), the same release the
rendering hack support was re-implemented.

#2 - 2014-05-08 11:19 - danij

Nice detective work guys. That gives me a good idea of where to start looking for the problem. | suspect its not specifically map hack related but a
change in how "self-referencing” lines are handled wrt triggering line specials.

#3 - 2014-05-08 11:20 - danij

- Assignee set to danij

#4 - 2014-05-08 11:22 - danij
- Tags set to Doom

- Subject changed from Monster Teleport Issue to [Doom] Monster Teleport Issue (TNT MAP31)

#5 - 2014-05-08 11:27 - danij

- Tags changed from Doom to Doom, PlaySim

#6 - 2014-06-12 12:12 - sonicdoommario

I still think there is a problem with monster teleporting overall in Doomsday.

| was just playing Map31 of Plutonia (Cyberden) and | got to the room where you hit the switch to release the first Cyberdemon. It has two Arch-viles
in front of the switch. When they see you, both are supposed to teleport into these small rooms behind invisible walls that you can't access, and they

will attack you behind those walls. One of the Arch-viles did not teleport into its room, and thus ran up the stairs and came after me. This is the first
time that I've seen this happen, but | wouldn't be surprised if | could reproduce it several more times.
#7 - 2014-06-12 12:32 - vermil

Indeed, the construction of the Arch Vile teleport triggers on Plutonia Map31 is basically identical to the Sergeants construct on TNT Map31.

#8 - 2014-10-05 19:47 - danij
- Related to Bug #1862: [Doom] Infunctional teleporter trigger in pwad BTSXep2 added

#9 - 2014-10-05 19:48 - danij

This needs testing again following the recent fix for Issue #1862

#10 - 2014-10-06 21:22 - danij

Evidently this was indeed caused by Issue #1862. Since that fix this teleport trap in TNT MAP31 is now behaving much like it does in Chocolate
DOOM.

#11 - 2014-10-06 21:22 - danij
- Status changed from New to Closed

- Target version setto 1.15
